package com.chinaitop.depot.intelligent.basicdata.model;

import java.util.ArrayList;
import java.util.List;

public class TStationtypeExample {
    /**
     * t_stationtype
     */
    protected String orderByClause;

    /**
     * t_stationtype
     */
    protected boolean distinct;

    /**
     * t_stationtype
     */
    protected List<Criteria> oredCriteria;

    public TStationtypeExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
     * t_stationtype 2019-04-12
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("ID is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("ID is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("ID =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("ID <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("ID >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("ID >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("ID <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("ID <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("ID in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("ID not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("ID between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("ID not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andVZdTypeCodeIsNull() {
            addCriterion("v_zd_type_code is null");
            return (Criteria) this;
        }

        public Criteria andVZdTypeCodeIsNotNull() {
            addCriterion("v_zd_type_code is not null");
            return (Criteria) this;
        }

        public Criteria andVZdTypeCodeEqualTo(String value) {
            addCriterion("v_zd_type_code =", value, "vZdTypeCode");
            return (Criteria) this;
        }

        public Criteria andVZdTypeCodeNotEqualTo(String value) {
            addCriterion("v_zd_type_code <>", value, "vZdTypeCode");
            return (Criteria) this;
        }

        public Criteria andVZdTypeCodeGreaterThan(String value) {
            addCriterion("v_zd_type_code >", value, "vZdTypeCode");
            return (Criteria) this;
        }

        public Criteria andVZdTypeCodeGreaterThanOrEqualTo(String value) {
            addCriterion("v_zd_type_code >=", value, "vZdTypeCode");
            return (Criteria) this;
        }

        public Criteria andVZdTypeCodeLessThan(String value) {
            addCriterion("v_zd_type_code <", value, "vZdTypeCode");
            return (Criteria) this;
        }

        public Criteria andVZdTypeCodeLessThanOrEqualTo(String value) {
            addCriterion("v_zd_type_code <=", value, "vZdTypeCode");
            return (Criteria) this;
        }

        public Criteria andVZdTypeCodeLike(String value) {
            addCriterion("v_zd_type_code like", value, "vZdTypeCode");
            return (Criteria) this;
        }

        public Criteria andVZdTypeCodeNotLike(String value) {
            addCriterion("v_zd_type_code not like", value, "vZdTypeCode");
            return (Criteria) this;
        }

        public Criteria andVZdTypeCodeIn(List<String> values) {
            addCriterion("v_zd_type_code in", values, "vZdTypeCode");
            return (Criteria) this;
        }

        public Criteria andVZdTypeCodeNotIn(List<String> values) {
            addCriterion("v_zd_type_code not in", values, "vZdTypeCode");
            return (Criteria) this;
        }

        public Criteria andVZdTypeCodeBetween(String value1, String value2) {
            addCriterion("v_zd_type_code between", value1, value2, "vZdTypeCode");
            return (Criteria) this;
        }

        public Criteria andVZdTypeCodeNotBetween(String value1, String value2) {
            addCriterion("v_zd_type_code not between", value1, value2, "vZdTypeCode");
            return (Criteria) this;
        }

        public Criteria andVZdTypeNameIsNull() {
            addCriterion("v_zd_type_name is null");
            return (Criteria) this;
        }

        public Criteria andVZdTypeNameIsNotNull() {
            addCriterion("v_zd_type_name is not null");
            return (Criteria) this;
        }

        public Criteria andVZdTypeNameEqualTo(String value) {
            addCriterion("v_zd_type_name =", value, "vZdTypeName");
            return (Criteria) this;
        }

        public Criteria andVZdTypeNameNotEqualTo(String value) {
            addCriterion("v_zd_type_name <>", value, "vZdTypeName");
            return (Criteria) this;
        }

        public Criteria andVZdTypeNameGreaterThan(String value) {
            addCriterion("v_zd_type_name >", value, "vZdTypeName");
            return (Criteria) this;
        }

        public Criteria andVZdTypeNameGreaterThanOrEqualTo(String value) {
            addCriterion("v_zd_type_name >=", value, "vZdTypeName");
            return (Criteria) this;
        }

        public Criteria andVZdTypeNameLessThan(String value) {
            addCriterion("v_zd_type_name <", value, "vZdTypeName");
            return (Criteria) this;
        }

        public Criteria andVZdTypeNameLessThanOrEqualTo(String value) {
            addCriterion("v_zd_type_name <=", value, "vZdTypeName");
            return (Criteria) this;
        }

        public Criteria andVZdTypeNameLike(String value) {
            addCriterion("v_zd_type_name like", value, "vZdTypeName");
            return (Criteria) this;
        }

        public Criteria andVZdTypeNameNotLike(String value) {
            addCriterion("v_zd_type_name not like", value, "vZdTypeName");
            return (Criteria) this;
        }

        public Criteria andVZdTypeNameIn(List<String> values) {
            addCriterion("v_zd_type_name in", values, "vZdTypeName");
            return (Criteria) this;
        }

        public Criteria andVZdTypeNameNotIn(List<String> values) {
            addCriterion("v_zd_type_name not in", values, "vZdTypeName");
            return (Criteria) this;
        }

        public Criteria andVZdTypeNameBetween(String value1, String value2) {
            addCriterion("v_zd_type_name between", value1, value2, "vZdTypeName");
            return (Criteria) this;
        }

        public Criteria andVZdTypeNameNotBetween(String value1, String value2) {
            addCriterion("v_zd_type_name not between", value1, value2, "vZdTypeName");
            return (Criteria) this;
        }

        public Criteria andVRemarkIsNull() {
            addCriterion("v_remark is null");
            return (Criteria) this;
        }

        public Criteria andVRemarkIsNotNull() {
            addCriterion("v_remark is not null");
            return (Criteria) this;
        }

        public Criteria andVRemarkEqualTo(String value) {
            addCriterion("v_remark =", value, "vRemark");
            return (Criteria) this;
        }

        public Criteria andVRemarkNotEqualTo(String value) {
            addCriterion("v_remark <>", value, "vRemark");
            return (Criteria) this;
        }

        public Criteria andVRemarkGreaterThan(String value) {
            addCriterion("v_remark >", value, "vRemark");
            return (Criteria) this;
        }

        public Criteria andVRemarkGreaterThanOrEqualTo(String value) {
            addCriterion("v_remark >=", value, "vRemark");
            return (Criteria) this;
        }

        public Criteria andVRemarkLessThan(String value) {
            addCriterion("v_remark <", value, "vRemark");
            return (Criteria) this;
        }

        public Criteria andVRemarkLessThanOrEqualTo(String value) {
            addCriterion("v_remark <=", value, "vRemark");
            return (Criteria) this;
        }

        public Criteria andVRemarkLike(String value) {
            addCriterion("v_remark like", value, "vRemark");
            return (Criteria) this;
        }

        public Criteria andVRemarkNotLike(String value) {
            addCriterion("v_remark not like", value, "vRemark");
            return (Criteria) this;
        }

        public Criteria andVRemarkIn(List<String> values) {
            addCriterion("v_remark in", values, "vRemark");
            return (Criteria) this;
        }

        public Criteria andVRemarkNotIn(List<String> values) {
            addCriterion("v_remark not in", values, "vRemark");
            return (Criteria) this;
        }

        public Criteria andVRemarkBetween(String value1, String value2) {
            addCriterion("v_remark between", value1, value2, "vRemark");
            return (Criteria) this;
        }

        public Criteria andVRemarkNotBetween(String value1, String value2) {
            addCriterion("v_remark not between", value1, value2, "vRemark");
            return (Criteria) this;
        }
    }

    /**
     * t_stationtype
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    /**
     * t_stationtype 2019-04-12
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}